[Hack] DeepSea1.9.3がリリース

CFW

DeepSeaとは

Team-Neptune/DeepSea
The new All-in-One CFW package for the Nintendo Switch. - Team-Neptune/DeepSea

Kosmosの後継機であり、SDカードに全部コピーするだけで誰でも簡単にCFWを導入できるオールインワンパッケージです。

詳しい導入手順は上のページをどうぞ。

アップデート内容

  • Atmosphereを0.17.0に更新
  • Hekateを5.5.2に更新
  • NXMTPを0.1.5に更新

Atmosphereがどうアップデートされたかということなのですが、シャットダウン時のバッテリー消費を非改造状態並みに下げたことと、Mariko(新型対策済みSwitch)に対応した点です。

Marikoに対応したとはいえ、実際にはMarikoにはペイロードをインジェクトするための脆弱性がないのでMODチップなしにCFWをロードすることはできません。あくまでも「ロードすることができれば動く」という意味合いで、エンドユーザである我々には関係ない話です。

Hekateもアップデートがありますが、基本はバグフィックスで目玉の新機能があるわけではなさそうです。

なんにせよ、特に理由もないならアップデートしてしまうほうが良いでしょう。

また、ここの記事を参考にFTPのログインパスワードを変更したりCFW(SysNAND)を無効化しておくと幸せになれるかもしれません。

Sigpatch

Release Supports HOS firmware 11.0.1 and AMS 0.17.0 · ITotalJustice/patches
es and fs patches for HOS 11.0.1 includes fusee and hekate loader patches for AMS 0.17.0, the zip has a build hash of "-e53b9cc5". a new Atmosphere build (s...

Atmosphereの更新に従ってSigpatchもアップデートされたので、こちらも忘れずに更新しておきましょう。

Sigpatch Installerを使われている方であれば直接アップデートできるのでそちらで大丈夫です。

ただ、このままだとDeepSeaがパッチを読み込むようになっていないのでhekate_ipl.iniを編集して読み込めるようにしましょう。

DeepSea 1.9.3用のNosigpatchを有効化した上でCFW(SysNAND)を無効化するhekate_ipl.iniは以下の通り。

[config]
autoboot=0
autoboot_list=0
bootwait=3
verification=1
backlight=100
autohosoff=0
autonogc=1
updater2p=1

{DeepSea/DeepSea v1.9.3}
{}
{Discord: invite.sdshrekup.com}
{Github: https://github.com/orgs/Team-Neptune/}
{}

{--- Custom Firmware ---}
[CFW (EMUMMC)]
emummcforce=1
kip1patch=nosigchk
fss0=atmosphere/fusee-secondary.bin
atmosphere=1
logopath=bootloader/bootlogo.bmp
icon=bootloader/res/icon_payload.bmp
kip1=atmosphere/kips/*
{}

{--- Stock ---}
[Stock (SYSNAND)]
emummc_force_disable=1
fss0=atmosphere/fusee-secondary.bin
stock=1
icon=bootloader/res/icon_switch.bmp
{}

記事は以上。

コメント

  1. 匿名 より:

    DeepSea1.9.4をインストールしたのですが
    案の定、上記のDeepSea 1.9.3用のNosigpatchを有効化した上でCFW(SysNAND)を無効化するhekate_ipl.iniのコードではインストールFailedになってしまいました

    お手数ですがコードのアップデートの記事を上げていただけないでしょうか?
    ホント大変申し訳ない…

    • えむいー より:

      DeepSea1.9.4はatmosphereが0.17.1にアップデートされているため、hekate_ipl.iniの問題ではなくnosigpatchが0.17.1に対応していないだけだと思われます。

      https://tkgstrator.work/?p=27490

      sigpatch自体は既に0.17.1に対応したものが配布されているため、Sigpatch Updaterなどでアップデートすれば使えるようになると思います。

タイトルとURLをコピーしました